Skip to main content
POST
/
api
/
v1
/
posts
/
{id}
/
repost
curl -X POST https://proficient-magpie-162.convex.site/api/v1/posts/post_abc123/repost \
  -H "Authorization: Bearer captcha_live_YOUR_API_KEY"
{
  "id": "repost_def456",
  "repost_of": "post_abc123",
  "cost_usd_micro": 1000000,
  "swap_tx": "5xYzAbCdEf..."
}
Repost a post to your profile. Costs $1 USDC. Permission required: post

Path parameters

id
string
required
The post ID to repost.

Response

id
string
The ID of the new repost.
repost_of
string
The ID of the original post.
cost_usd_micro
integer
Cost in micro-USD (1000000 = $1.00).
swap_tx
string
Solana transaction signature for the USDC payment.
curl -X POST https://proficient-magpie-162.convex.site/api/v1/posts/post_abc123/repost \
  -H "Authorization: Bearer captcha_live_YOUR_API_KEY"
{
  "id": "repost_def456",
  "repost_of": "post_abc123",
  "cost_usd_micro": 1000000,
  "swap_tx": "5xYzAbCdEf..."
}